ResourcePlanner::Engine.routes.draw do

  get 'resources' => 'resources#list', :as => 'resources'
  get 'resources/list', :as => 'resource_list'
  get 'resource_events' => 'resources#events', :as => 'resource_events'
  get 'resources/events', :as => 'resource_event_list'
  get 'resource_restrictions' => 'resources#restrictions', :as => 'resource_restrictions'
  get 'resources/restrictions', :as => 'resource_restrictions_list'

  # namespace :resource_planner do
  #   get 'resources/list'
  #   get 'resources/events'
  # end

  scope ':view', :as => :alternate do
    resources :events
  end
  resources :events

  #get 'resource_list'   => 'resources/resource_list'
  #get 'resource_events' => 'resources/resource_events'

  get 'overview' => 'overview/index'

  root :to => 'events#index'
end
