
$(document).ready(function () {
    window.onmousemove = function (e) {
        var tooltipSpan = document.getElementById('highlighter-tooltip');
        var x = e.clientX,
            y = e.clientY;
        if (tooltipSpan) {
            tooltipSpan.style.top = y + 'px';
            tooltipSpan.style.left = x + 20 + 'px';
        }
    };
}); // end $(document).ready()

function initialiseHighlighterbarTooltip() {
    $('#fullcalendar_scheduler tbody.fc-body td.fc-time-area.fc-widget-content div.fc-scroller-clip  div.fc-scroller div.fc-scroller-canvas').prepend($('<span id="highlighter-tooltip" class="highlighter-tooltip">our tooltip</span>'));
  //$('#fullcalendar_scheduler tbody.fc-body td.fc-time-area div.fc-scroller div.fc-scroller-canvas').prepend($('<span id="highlighter-tooltip" class="highlighter-tooltip">our tooltip</span>'));
}

function showTooltip(event, ui, obj) {
    var id = obj.attr('id');
    var eventIndex = id.split('-')[1];
    var startDate = formatDate(new Date(window.eventsArray[eventIndex].startDate));
    var eventDuration = window.eventsArray[eventIndex].eventDuration;
    var durationUnits = window.eventsArray[eventIndex].durationUnits;
    var endDate = formatDate(new Date(window.eventsArray[eventIndex].endDate));

    var tooltipText =
        "<small>Start: </small>" + startDate + '<br/>'
        + "<small>Duration: </small>" + eventDuration + ' ' + durationUnits + '<br/>';
        //+ "";

    if (!window.zoomed) {
        $('#highlighter-tooltip').html(tooltipText + "<em>double click to zoom in!</em>");
    } else {
        $('#highlighter-tooltip').html(tooltipText);
    }

    $('#highlighter-tooltip').css('visibility', 'visible');
}

function hideTooltip(event, ui, obj) {
    $('#highlighter-tooltip').css('visibility', 'hidden');
}

function dblclickEventZoomIn(event, ui, obj) {
    var id = obj.attr('id');
    var eventIndex = id.split('-')[1];
    var startDate = formatDate(new Date(window.eventsArray[eventIndex].startDate));
    var eventDuration = window.eventsArray[eventIndex].eventDuration;
    var durationUnits = window.eventsArray[eventIndex].durationUnits;
    var endDate = formatDate(new Date(window.eventsArray[eventIndex].endDate));

    if (!window.zoomed) {
        updateTimelineDuration(startDate, endDate);
        window.zoomed = true;
    }
}