$(document).ready(function() {

    $("#kendoui_scheduler").kendoScheduler({
        date: new Date(),
        majorTimeHeaderTemplate: kendo.template("<strong>#=kendo.toString(date, 'HH:mm')#</strong>"),
        // startTime: new Date("2018/7/21 00:00"),
        // endTime: new Date("2018/7/21 24:00"),
        eventHeight: 10,
        selectable: false,
        // editable: false,
        majorTick: 60,
        minorTickCount: 1,
        // currentTimeMarker: {
        //    useLocalTimezone: true
        //   },
        timezone: "Etc/UTC",
        views: ["timeline", "timelineWeek", "timelineWorkWeek", {
                type: "timeline",
                majorTick: 60
        }],

        group: {
            resources: ["Trainer", "Room", "Equipment"],
            orientation: "vertical"
        },
        resources: [
            {   field: "trainerId",
                name: "Trainer",
                title: "Trainer",
                dataSource: [
                        { text: "Trainer 1",  value: 1,  color: "#6eb3fa" },
                        { text: "Trainer 2",  value: 2,  color: "#f58a8a" },
                        { text: "Trainer 3",  value: 3,  color: "#6eb3fa" },
                        { text: "Trainer 4",  value: 4,  color: "#f58a8a" },
                ],
            },
            {   field: "roomId",
                name: "Room",
                title: "Room",
                dataSource: [
                        { text: "Room 1",  value: 5,  color: "#6eb3fa" },
                        { text: "Room 2",  value: 6,  color: "#f58a8a" },
                        { text: "Room 3",  value: 7,  color: "#6eb3fa" },
                        { text: "Room 4",  value: 8,  color: "#f58a8a" },
                ],
            },
            {   field: "equipmentId",
                name: "Equipment",
                title: "Equipment",
                dataSource: [
                        { text: "Equipment 1",  value: 9,  color: "#6eb3fa" },
                        { text: "Equipment 2", value: 10, color: "#f58a8a" }
                ],
            },
        ],

    });

});
