class CreateEventSubscriptions < ActiveRecord::Migration[5.2]
  def change
    create_table :resource_planner_event_subscriptions do |t|
      t.string :name

      #t.references :event, foreign_key: true
      t.references :event
      t.references :resource, polymorphic: true, index: { name: 'index_event_subscriptions_on_resource_type_and_id' }

      t.timestamps :null => false
    end
  end
end
